Name:          mesa-demos
Version:       8.1.0
Release:       1mamba
Summary:       Demos for the Mesa GL libraries
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://mesa3d.sourceforge.net
Source:        ftp://ftp.freedesktop.org/pub/mesa/demos/%{version}/mesa-demos-%{version}.tar.bz2
Patch0:        %{name}-8.0.1-missing_headers.patch
Patch1:        mesa-demos-8.0.1-arm-tegra-es2gears-float.patch
Patch2:        mesa-demos-8.0.1-arm-tegra-eglut-VisualNoMask.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfreeglut-devel
BuildRequires: libGL-devel
BuildRequires: libglew-devel
BuildRequires: libGLU-devel
BuildRequires: libOSMesa-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXxf86vm-devel
## AUTOBUILDREQ-END
#BuildRequires: libGLw-devel
#BuildRequires: libOpenVG-devel
BuildRequires: libEGL-devel
BuildRequires: libGL-devel >= 8.0
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Demos for the Mesa GL libraries.

%package -n mesa-tests
Summary:       Test and information tools for the Mesa libraries
Group:         System/X11
Provides:      Mesa-tools
Obsoletes:     Mesa-tools
Provides:      mesa-tools
Obsoletes:     mesa-tools

%description -n mesa-tests
Test and information tools for the Mesa libraries.

%prep
%setup -q
#%patch0 -p1
%ifarch arm
#%patch1 -p1
%patch2 -p1
%endif

%build
%configure
%make -j1
#LDADD="-lX11 -lpthread"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m0755 src/egl/opengl/eglgears_x11 %{buildroot}%{_bindir}/eglgears
install -D -m0755 src/egl/opengl/eglinfo %{buildroot}%{_bindir}/eglinfo
install -D -m0755 src/egl/opengles1/gears_x11 %{buildroot}%{_bindir}/es1gears
install -D -m0755 src/egl/opengles1/es1_info %{buildroot}%{_bindir}/es1_info
install -D -m0755 src/egl/opengles2/es2gears_x11 %{buildroot}%{_bindir}/es2gears
install -D -m0755 src/egl/opengles2/es2_info %{buildroot}%{_bindir}/es2_info

rm -f %{buildroot}%{_bindir}/bitmap
rm -f %{buildroot}%{_bindir}/clear

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n mesa-tests
%defattr(-,root,root)
%{_bindir}/glxgears
%{_bindir}/glxinfo
%{_bindir}/eglgears
%{_bindir}/eglinfo
%{_bindir}/es1gears
%{_bindir}/es1_info
%{_bindir}/es2gears
%{_bindir}/es2_info

%files
%defattr(-,root,root)
%{_bindir}/*
%exclude %{_bindir}/glxgears
%exclude %{_bindir}/glxinfo
%exclude %{_bindir}/glxgears
%exclude %{_bindir}/glxinfo
%exclude %{_bindir}/eglgears
%exclude %{_bindir}/eglinfo
%exclude %{_bindir}/es1gears
%exclude %{_bindir}/es1_info
%exclude %{_bindir}/es2gears
%exclude %{_bindir}/es2_info
%dir %{_datadir}/mesa-demos
%{_datadir}/mesa-demos/*

%changelog
* Fri May 10 2013 Automatic Build System <autodist@mambasoft.it> 8.1.0-1mamba
- automatic version update by autodist

* Sat Jun 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-6mamba
- also provide {egl,es1,es2}{info,gears} tools in mesa-tests package, which obsoletes mesa-tools
- 2012/11/11 edit (arm): patch eglut and es2gears to work on tegra platforms (https://wiki.ubuntu.com/ARM/TEGRA/AC100)

* Sun Feb 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-5mamba
- rebuilt with Mesa 8.0.1

* Tue Dec 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-4mamba
- workaround to fix build of egl demos

* Mon Jul 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-3mamba
- added buildrequirements for libEGL-devel and libGLw-devel

* Sun Feb 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-2mamba
- remove /usr/bin/clear to fix a conclict with ncurses

* Sat Feb 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-1mamba
- package created by autospec
